(defun C:zkoord (/ STYLE_LIST MD_ERR FF pkt1 pkt2 pktlst pt1 pt2 pt3 el zz ename pflag ) (vl-load-com) (command "_ucs" "_w") (Setq pkt1 (Getpoint "\nPunkt wählen ")) (While (not (null pkt1)) (prompt "\nPosition des Textes: ") (command "_UCS" "_O" (trans pkt1 1 0)) (setq pt3 (strcat "Z=" (rtos (caddr pkt1)2 0))) ;_ end of setq (SETQ ZZ (entlast)) (if (= (cdr(assoc 0(entget zz)))"INSERT") (progn (command "_point" "0,0,0") (setq zz (entlast)) (setq pflag T) ) ) (Command "_.leader" (trans pkt1 0 1) pause "M" pt3 "" ) ;_ end of Command (setq pkt2 nil) (setq el (entnext zz)) (setq ename (vlax-ename->vla-object el)) (vla-put-arrowheadtype ename acArrowDotBlank) (command "_ucs" "_w") (Setq pkt1 (Getpoint "\nPunkt wählen ")) (if pflag (entdel zz) ) ) ;_ end of While (princ) ) ;_ end of defun